%define anolis_release 2
%global         majorminor      1.0
%bcond_with extras
%bcond_without nasm
%bcond_without qt

Name:           gstreamer1-plugins-good
Version:        1.22.6
Release:        %{anolis_release}%{?dist}
Summary:        GStreamer plugins with good code and licensing
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source0:        http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz
Source1:        gstreamer-good.appdata.xml

BuildRequires: gcc gcc-c++ meson gettext
BuildRequires: cairo-devel cairo-gobject-devel flac-devel
BuildRequires: gdk-pixbuf2-devel gstreamer1-devel >= %{version} gstreamer1-plugins-base-devel >= %{version}
BuildRequires: gtk3-devel lame-devel mpg123-devel orc-devel
BuildRequires: libX11-devel libXdamage-devel libXext-devel libXfixes-devel
BuildRequires: libgudev-devel libjpeg-devel libpng-devel libshout-devel
BuildRequires: libsoup-devel libv4l-devel libvpx-devel
BuildRequires: mesa-libEGL-devel mesa-libGL-devel mesa-libGLES-devel mesa-libGLU-devel
BuildRequires: pulseaudio-libs-devel speex-devel taglib-devel twolame-devel wavpack-devel

%if %{with nasm}
BuildRequires:  nasm
%endif

%if %{with extras}
BuildRequires:  jack-audio-connection-kit-devel libavc1394-devel
BuildRequires:  libdv-devel libiec61883-devel libraw1394-devel
%endif

Obsoletes:      gstreamer1-plugin-mpg123 < 1.13.1
Provides:       gstreamer1-plugin-mpg123 = %{EVR}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

GStreamer Good Plugins is a collection of well-supported plugins of
good quality and under the LGPL license.


%package gtk
Summary:         GStreamer "good" plugins gtk plugin
Requires:        %{name} = %{EVR}
Provides:        gstreamer1-plugins-bad-free-gtk = %{EVR}
Provides:        gstreamer1-plugins-bad-free-gtk = %{EVR}
Obsoletes:       gstreamer1-plugins-bad-free-gtk < 1.13.1-2

%description gtk
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

GStreamer Good Plugins is a collection of well-supported plugins of
good quality and under the LGPL license.

This package (%{name}-gtk) contains the gtksink output plugin.

%if %{with qt}
%package qt
Summary:         GStreamer "good" plugins qt qml plugin
Requires:        %{name} = %{EVR}

BuildRequires: pkgconfig(Qt5Gui) pkgconfig(Qt5Qml) pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5X11Extras) pkgconfig(Qt5WaylandClient)
BuildRequires: qt5-linguist
BuildRequires: qt5-qtbase-private-devel

Supplements: (gstreamer1-plugins-good and qt5-qtdeclarative)

%description qt
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

GStreamer Good Plugins is a collection of well-supported plugins of
good quality and under the LGPL license.

This package (%{name}-qt) contains the qtsink output plugin.
%endif

%if %{with extras}
%package extras
Summary:        Extra GStreamer plugins with good code and licensing
Requires:       %{name} = %{EVR}


%description extras
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.

GStreamer Good Plugins is a collection of well-supported plugins of
good quality and under the LGPL license.

%{name}-extras contains extra "good" plugins
which are not used very much and require additional libraries
to be installed.
%endif

%prep
%autosetup -n gst-plugins-good-%{version}

%build
%meson \
  -D package-name='GStreamer-plugins-good package' \
  -D package-origin='http://openanolis.cn' \
  -D doc=disabled \
  -D orc=enabled \
  -D monoscope=disabled \
  -D qt6=disabled \
  -D aalib=disabled \
  -D libcaca=disabled \
  -D rpicamsrc=disabled \
  -D asm=%{?with_nasm:enabled}%{!?with_nasm:disabled} \
  -D dv=%{?with_extras:enabled}%{!?with_extras:disabled} \
  -D jack=%{?with_extras:enabled}%{!?with_extras:disabled} \
  -D dv1394=%{?with_extras:enabled}%{!?with_extras:disabled}

%meson_build

%install
%meson_install

install -p -D %{SOURCE1} %{buildroot}%{_metainfodir}/gstreamer-good.appdata.xml

%find_lang gst-plugins-good-%{majorminor}

%files -f gst-plugins-good-%{majorminor}.lang
%{_metainfodir}/gstreamer-good.appdata.xml

%dir %{_datadir}/gstreamer-%{majorminor}/presets/
%{_datadir}/gstreamer-%{majorminor}/presets/GstVP8Enc.prs
%{_datadir}/gstreamer-%{majorminor}/presets/GstIirEqualizer10Bands.prs
%{_datadir}/gstreamer-%{majorminor}/presets/GstIirEqualizer3Bands.prs
%{_datadir}/gstreamer-%{majorminor}/presets/GstQTMux.prs

%{_libdir}/gstreamer-%{majorminor}/libgstadaptivedemux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstisomp4.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifile.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4.so
%{_libdir}/gstreamer-%{majorminor}/libgstreplaygain.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstshapewipe.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstxingmux.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstpulseaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%{_libdir}/gstreamer-%{majorminor}/libgstsoup.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstvpx.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpg123.so
%{_libdir}/gstreamer-%{majorminor}/libgsttwolame.so

%doc REQUIREMENTS README.md AUTHORS
%license COPYING

%files gtk
%{_libdir}/gstreamer-%{majorminor}/libgstgtk.so

%files qt
%{_libdir}/gstreamer-%{majorminor}/libgstqmlgl.so

%if %{with extras}
%files extras
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
%endif

%changelog
* Wed Mar 26 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.22.6-2
- Rebuild with new libvpx

* Wed Sep 27 2023 Funda Wang <fundawang@yeah.net> - 1.22.6-1
- New version 1.22.6

* Sun Jun 25 2023 Funda Wang <fundawang@yeah.net> - 1.22.4-1
- New version 1.22.4

* Mon May 22 2023 Funda Wang <fundawang@yeah.net> - 1.22.3-1
- New version 1.22.3

* Sat Apr 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.22.2-2
- Refactor the specfile

* Sat Apr 15 2023 Funda Wang <fundawang@yeah.net> - 1.22.2-1
- New version 1.22.2

* Fri Mar 24 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.22.1-3
- Rebuild for updating dependencies

* Wed Mar 8 2023 Funda Wang <fundawang@yeah.net> - 1.22.1-2
- Rebuild for new taglib

* Tue Mar 7 2023 Funda Wang <fundawang@yeah.net> - 1.22.1-1
- New version 1.22.1

* Fri Feb 3 2023 Funda Wang <fundawang@yeah.net> - 1.22.0-1
- New version 1.22.0

* Tue Dec 20 2022 Funda Wang <fundawang@yeah.net> - 1.20.5-1
- New version 1.20.5

* Fri Nov 18 2022 Funda Wang <fundawang@yeah.net> - 1.20.4-1
- New version 1.20.4

* Mon Apr 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.20.1-1
- init from upstream 1.20.1
